## imagemagick 6.8.9.9

=== debian/changelog ===
imagemagick (8:6.8.9.9-7ubuntu5) xenial; urgency=medium

  * debian/rules: Use LCQUANTUMDEPTH when generating display-im6.desktop too.
    Fixes broken icon in .desktop file. (LP: #1558409)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 18 Apr 2016 13:29:50 +0100

imagemagick (8:6.8.9.9-7ubuntu4) xenial; urgency=medium

  * Fix backport of d6054824 to include dropped parentheses
    (LP: #1549942).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 16 Mar 2016 09:44:09 -0700

imagemagick (8:6.8.9.9-7ubuntu3) xenial; urgency=medium

  * Add backport of 54b752c3 to fix color behavior (LP: #1549942).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 08 Mar 2016 09:22:10 -0800

imagemagick (8:6.8.9.9-7ubuntu2) xenial; urgency=medium

  * Add backport of a54fe0e8 to fix segmentation faults during
    php-imagick tests (LP: #1549942).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 02 Mar 2016 15:45:35 -0800

imagemagick (8:6.8.9.9-7ubuntu1) xenial; urgency=medium

  * Add backports of d6054824, 95c8394e and 68c6a7d to
    0070-Fix-PixelColor-off-by-one-on-i386.patch (LP: #1549942)
    which were missed in "PixelColor off by one on i386
    (closes: #811308)
    https://github.com/ImageMagick/ImageMagick/issues/54".

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 25 Feb 2016 09:11:02 -0800

imagemagick (8:6.8.9.9-7) unstable; urgency=low

  * Fix various minor security issues 
    - Fix an integer overflow that can lead to a buffer overrun
      in the icon parsing code (LP: #1459747, closes: #806441)
    - Fix an integer overflow that can lead to a double free in
      pict parsing (LP: #1448803, closes: #806441).
    - Memory Leak while handle psd file (closes: #811308)
      http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28791
    - IM 6.9.2 crash with some PNG (closes: #811308, LP: #1492881)
      http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28466
    - Null pointer access in magick/constitute.c (closes: #811308)
      https://github.com/ImageMagick/ImageMagick/pull/34
    - PixelColor off by one on i386 (closes: #811308)
      https://github.com/ImageMagick/ImageMagick/issues/54
    - Fixed other memory leaks (closes: #811308)

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 17 Jan 2016 21:18:19 +0100

imagemagick (8:6.8.9.9-6) unstable; urgency=high

  * Fix build on mips by printing progress (Closes: #770009).
  * Fix a few security bugs: (closes: #799524)
    - A DOS on specially crafted MIFF file (TEMP-0000000-FDAC72).
    - A DOS on specially crafted Vicar file (TEMP-0000000-EEF23C).
    - A DOS on specially crafted HDR file (TEMP-0000000-7C079F).
    - A DOS on specially crafted PDB file (TEMP-0000000-2FC21E).
    - Avoid a null pointer dereference in JNG decoder.
    - Avoid a DOS for RLE file.
    - Avoid double free on TGA file.
    - Avoid a bufer overflow by using field limit in sprintf.
    - Avoid a stack overflow in fx handling.
  * Replace density of 1 for JPEG by unknown working around
    a TeX bug (Closes: #763799).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sat, 12 Sep 2015 23:06:08 +0200

imagemagick (8:6.8.9.9-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Matthias Klose ]
  * Renamed library for gcc5 transition libmagick++-6.q16-5 ->
    libmagick++-6.q16-5v5

  [ Simon McVittie ]
  * Don't add a lintian override for the libmagick++-6.q16-5v5 name,
    current lintian accepts this name
  * Don't clear the symbols files for the C ABIs, only the C++ ABI

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Aug 2015 07:50:55 +0100

imagemagick (8:6.8.9.9-5) unstable; urgency=high

  * Fix incorrect fix for xpm security problem.
    This patch fixed the buffer overflow but
    xpm coder output garbage, thanks to Adam Sjøgren
    (Closes: #773980).
  * Workarround "Imagemagick FTBFS on mips on mips-aql-* not on ball".
    Do not execute testsuite if FPU is not present. Security team
    want this bug fixed in order to ease it work, thanks
    to Ivo De Decker (Closes: #770009).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Mon, 29 Dec 2014 11:51:58 +0100

imagemagick (8:6.8.9.9-4) unstable; urgency=high

  * Fix a few security bugs (Closes: #773834):
  - Avoid a DOS in vision.c due to an infinite loop.
  - Avoid a SEGV due to a corrupted pnm file.
  - Do not leak fd due to corrupted file.
  - Fix a double free in pdb coder.
  - Fix a SEGV due to corrupted dpc and xwd images.
  - Fix a SEGV in dpx file handler.
  - Fix a SEGV in malformed xwd file handler.
  - Avoid a NULL pointer dereference in ps file handling.
  - Fix a crash with corrupted viff file.
  - Fix a NULL pointer dereference in wpg file handling.
  - Do not continue on corrupted wpg file.
  - Avoid an out of bound access in viff image.
  - Avoid a heap buffer overflow in pdb file handling.
  - Avoid an out of bound acess on malformed sun file.
  - Avoid heap overflow in palm, pnm and xpm files.
  - Fix heap overflow in quantum, palm and psd file.
  - Fix handling of corrupted of psd, sun and xpm file.
  - Fix corrupted (too many colors) psd file.
  - Fix an out of bound acess in sun file.
  - Fix handling of corrupted sun and wpg file.
  - Fix heap overflow in pcx file, psd, pict and wpf files
    and DOS in xpm files.
  - Add additional PNM sanity checks.
  - Avoid a crash to out of memory in magick/cache.c
  - Fix a theorical out of bound access in magick/colormap-private.h
  - Fix an out of bound access in palm file.
  - Fixed throwing of exceptions in psd handling and fix a memory leak.
  - Fixed boundary checks in DecodePSDPixels.
  - Fix another out of bound problem in rle file.
  - Fix crash due to corrupted dib file.
  - Added checks to prevent overflow in rle file.
  - Impose a limit of 10 million columns or rows in an input PNG
  - Don't try to handle a "previous" image in the JNG decoder.
  - Avoid a memory leak in quantum management.

