=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


export QUANTUMDEPTH ?= Q16
export CORESOVERSION ?= 2
export WANDSOVERSION ?= 2
export PPSOVERSION ?= 5v5

# for hardening
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export STATIC_DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_HOST_GNU_TYPE  ?= $(STATIC_DEB_HOST_GNU_TYPE)
export STATIC_DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH ?= $(STATIC_DEB_HOST_MULTIARCH)
export STATIC_DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(STATIC_DEB_BUILD_GNU_TYPE)
export STATIC_DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
export DEB_SOURCE_PACKAGE ?= $(STATIC_DEB_SOURCE_PACKAGE)
export STATIC_DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
export DEB_VERSION ?= $(STATIC_DEB_VERSION)
export STATIC_DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
export DEB_NOEPOCH_VERSION ?= $(STATIC_DEB_NOEPOCH_VERSION)
export STATIC_DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
export DEB_UPSTREAM_VERSION ?= $(STATIC_DEB_UPSTREAM_VERSION)
export STATIC_DEB_ISNATIVE := $(shell dpkg-parsechangelog | egrep '^Version:' | perl -ne 'print if not /^Version:\s*.*-/;')
export DEB_ISNATIVE ?= $(STATIC_DEB_ISNATIVE)

export STATIC_DEB_UPSTREAM_VERSION_DROPREVISION := $(shell echo $(DEB_UPSTREAM_VERSION) |  sed -r "s/(^.+)\..+$$/\1/g")
export DEB_UPSTREAM_VERSION_DROPREVISION ?= $(STATIC_DEB_UPSTREAM_VERSION_DROPREVISION)
export STATIC_DEB_UPSTREAM_VERSION_MAJOR := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -r "s/(^[[:digit:]]+)\..+$$/\1/g")
export DEB_UPSTREAM_VERSION_MAJOR ?= $(STATIC_DEB_UPSTREAM_VERSION_MAJOR)
export IMVERSION := $(DEB_UPSTREAM_VERSION_MAJOR)

# quantum depth used by default and by quantum independant package (first one of QUANTUMDEPTH)
export DEFAULTQUANTUMDEPTH := $(shell echo $(QUANTUMDEPTH) | cut -f 1 -d ' ')
export NOQUANTUMDEPTH := $(shell echo $(QUANTUMDEPTH) | cut -f 1 -d ' ')

# convert 
export CONVERT ?= ./magick.sh convert
export CONVERT_FLAGS ?= -background none -define filter:blur=0.75 -filter Gaussian

# perl
export DEB_PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

# put QUANTUMDEPTH in lower case for package name
#export QUANTUMDEPTH_LOWER ?= $(shell echo $(QUANTUMDEPTH) | sed -e 's/\(.*\)/\L\1/'))

export STATIC_CONFIGURE_CACHEFILE := config.cache
export CONFIGURE_CACHEFILE ?= $(STATIC_CONFIGURE_CACHEFILE)

export STATIC_CONFIGURE_OPTIONS_CACHE := \
       --cache-file=../../$(CONFIGURE_CACHEFILE)
export CONFIGURE_OPTIONS_CACHE ?= $(STATIC_CONFIGURE_OPTIONS_CACHE)
# disable arch optimization see #757996 and AX_GCC_ARCHFLAG m4 macro
export STATIC_CONFIGURE_ARCH_FLAGS := --without-gcc-arch
export CONFIGURE_ARCH_FLAGS ?= $(STATIC_CONFIGURE_ARCH_FLAGS)

# check if FPU
HAVE_FPU_CMD:= case $(DEB_HOST_MULTIARCH) in \
		mips*-*) \
			if grep " FPU" /proc/cpuinfo > /dev/null; then \
				echo "yes"; \
			else \
				echo "no"; \
			fi ;;\
		*) \
			echo "yes" ;; \
	       esac
export STATIC_HAVE_FPU := $(shell $(HAVE_FPU_CMD))

test_fpu_is present:
	echo "CPU has FPU...$(STATIC_HAVE_FPU)"

# NOTICE: remove EPL delegate lib gvc (license problem)
export STATIC_CONFIGURE_OPTIONS := \
	--prefix=/usr \
        --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--sysconfdir=/etc \
	--with-includearch-dir=/usr/include/$(DEB_HOST_MULTIARCH)/ \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
	--docdir=/usr/share/doc/imagemagick \
	--with-modules \
	--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
	--with-magick-plus-plus \
	--with-djvu \
        --with-wmf \
        --without-gvc \
	--enable-shared \
	--without-dps \
	--without-fpx \
	--with-perl \
	--with-perl-options='INSTALLDIRS=vendor' \
	--x-includes=/usr/include/X11 \
	--x-libraries=/usr/lib/X11 \
	--without-rsvg
export CONFIGURE_OPTIONS ?= $(STATIC_CONFIGURE_OPTIONS) \
			    $(CONFIGURE_OPTIONS_CACHE) \
			    $(CONFIGURE_ARCH_FLAGS)

%:
	@echo "Build $(DEB_SOURCE_PACKAGE) version $(DEB_VERSION) for quantum $(QUANTUMDEPTH)"
	if test "BUG#703261" = "SOLVED"; then \
		dh $@ --parallel --with autoreconf --with pkgkde_symbolshelper; \
	else \
		dh $@ --with autoreconf --with pkgkde_symbolshelper; \
	fi;

override_dh_autoreconf:
	 dh_autoreconf --as-needed

# configure in build directory
quantum_override_dh_auto_configure-arch_%: 
	dh_auto_configure --builddirectory="debian/build-quantum-$*" -- \
		 ${CONFIGURE_OPTIONS} \
		--disable-silent-rules \
		--with-quantum-depth=${shell echo $* | sed -r 's/q?([[:digit:]]*)(HDRI)?/\1/gi'}

override_dh_auto_configure-arch: quantum_override_dh_auto_configure-arch_Q16

override_dh_auto_configure-indep:
	dh_auto_configure --builddirectory="debian/build-quantum-indep" -- \
		 ${CONFIGURE_OPTIONS} \
		--with-quantum-depth=${shell echo $(NOQUANTUMDEPTH)  | sed -r 's/q?([[:digit:]]*)(HDRI)?/\1/gi'}
	# HACK: create default quantum package Makefile
	cd debian/build-quantum-indep/PerlMagick/default/ && perl Makefile.PL INSTALLDIRS=vendor

# dh_auto_build in build directory
# build icons cache build for each arch in order to get more testing 
quantum_override_dh_auto_build-arch_%:
	dh_auto_build --builddirectory="debian/build-quantum-$*" -- all perl-build

override_dh_auto_build-arch: quantum_override_dh_auto_build-arch_Q16
override_dh_auto_build-indep:
        # generate html doc
	dh_auto_build --builddirectory="debian/build-quantum-indep" -- html
	cd debian/build-quantum-indep/PerlMagick/default/ && make

# dh_auto_test in build directory
# display log in case of failure
quantum_override_dh_auto_test-arch_%:
	if test "BUG#703262" = "SOLVED" ; then \
        unset DISPLAY; \
	if ! dh_auto_test --builddirectory="debian/build-quantum-$*"; then \
		find "debian/build-quantum-$*/tests" -name *.log -exec cat {} \; ; \
	fi; \
	else \
	if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
	    if test X$(STATIC_HAVE_FPU) = "Xyes"; then \
		unset DISPLAY; \
		if ! dh_auto_test --builddirectory="debian/build-quantum-$*"; then \
			find "debian/build-quantum-$*/tests" -name *.log -exec cat {} \; ; \
	    	fi; \
	    fi ;\
	fi; \
	fi
override_dh_auto_test-arch: quantum_override_dh_auto_test-arch_Q16
override_dh_auto_test-indep:


# dh_auto_install in build directory
quantum_override_dh_auto_install-arch_%:
	dh_auto_install --builddirectory="debian/build-quantum-$*" \
	                --destdir="debian/tmp-$*" \
		        -- install pkgdocdir=/usr/share/doc/imagemagick-common V=1

	# empties dependency_libs from .la files
	# http://lists.debian.org/debian-devel/2009/08/msg00783.html
	find $(CURDIR)/debian/tmp-$*/usr/lib -name '*.la' -exec \
		sed -i "s,^dependency_libs=.*,dependency_libs=''," {} \;
	# Remove RPATH from *.so
	find $(CURDIR)/debian/tmp-$* -name '*.so*' -exec \
		chrpath -d {} \;

	# move binaries to /usr/lib/bin
	# TODO: proper patch upstream
	if ! test -d "debian/tmp-$*/usr/lib/$(DEB_HOST_MULTIARCH)/ImageMagick-$(DEB_UPSTREAM_VERSION_DROPREVISION)/bin-$(DEFAULTQUANTUMDEPTH)/"; then \
		mkdir -p "debian/tmp-$*/usr/lib/$(DEB_HOST_MULTIARCH)/ImageMagick-$(DEB_UPSTREAM_VERSION_DROPREVISION)/bin-$(DEFAULTQUANTUMDEPTH)/"; \
	fi;
	while read FILE; do \
           if echo $$FILE | grep usr/bin > /dev/null; then \
              filename=`echo "$$FILE"|sed 's/-\*//g'`; \
	      basename=`basename $$filename`; \
	      if ! test -f debian/tmp-$*/usr/lib/$(DEB_HOST_MULTIARCH)/ImageMagick-$(DEB_UPSTREAM_VERSION_DROPREVISION)/bin-$(DEFAULTQUANTUMDEPTH)/$$basename ; then \
                cp -f "debian/tmp-$*/usr/bin/$$basename" \
