=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/\.dfsg\d+$//,pgpsigurlmangle=s/$/.asc/" \
http://www.imagemagick.org/download/ImageMagick-(.*)\.tar\.xz
