## imagemagick 6.9.7.4+dfsg

=== debian/changelog ===
imagemagick (8:6.9.7.4+dfsg-16ubuntu6.15) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS and information disclosure via PNG parsing
    - debian/patches/CVE-2022-4426x.patch: properly handle certain keys in
      coders/png.c.
    - CVE-2022-44267
    - CVE-2022-44268

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Feb 2023 12:11:42 -0500

imagemagick (8:6.9.7.4+dfsg-16ubuntu6.14) bionic-security; urgency=medium

  * SECURITY UPDATE: integer overflow in ExportIndexQuantum()
    - debian/patches/CVE-2021-20224.patch: outside the range of representable
      values of type 'unsigned char'
    - CVE-2021-20224
  * SECURITY UPDATE: Division by zero in coders/jp2.c
    - debian/patches/CVE-2021-20241.patch: Use PerceptibleReciprocal()
      to fix division by zeros in coders/jp2.c
    - CVE-2021-20241
  * SECURITY UPDATE: Division by zero in magick/resize.c
    - debian/patches/CVE-2021-20243.patch: Use PerceptibleReciprocal()
      to fix division by zeros in magick/resize.c
    - CVE-2021-20243
  * SECURITY UPDATE: out-of-range value
    - debian/patches/CVE-2022-32545.patch: addresses the possibility for the
      use of a value that falls outside the range of an unsigned char in
      coders/psd.c.
    - CVE-2022-32545
  * SECURITY UPDATE: out-of-range value
    - debian/patches/CVE-2022-32546.patch: addresses the possibility for the
      use of a value that falls outside the range of an unsigned long in
      coders/pcl.c.
    - CVE-2022-32546
  * SECURITY UPDATE: load of misaligned address
    - debian/patches/CVE-2022-32547.patch: addresses the potential for the
      loading of misaligned addresses in magick/property.c.
    - CVE-2022-32547

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 21 Nov 2022 20:46:27 +0530

imagemagick (8:6.9.7.4+dfsg-16ubuntu6.13) bionic-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer overflow
    - debian/patches/CVE-2022-28463.patch: fix buffer overflow
    - CVE-2022-28463

 -- Emilia Torino <emilia.torino@canonical.com>  Tue, 31 May 2022 11:52:54 -0300

imagemagick (8:6.9.7.4+dfsg-16ubuntu6.12) bionic-security; urgency=medium

  * SECURITY UPDATE: Multiple divide by zero issues in imagemagick allow a
    remote attacker to cause a denial of service via a crafted image file
    - debian/patches/CVE-2021-20244.patch: Avoid division by zero in
      magick/fx.c
    - debian/patches/CVE-2021-20309.patch: Avoid division by zero in
      magick/fx.c
    - debian/patches/CVE-2021-20246.patch: Avoid division by zero in
      magick/resample.c
    - CVE-2021-20244, CVE-2021-20309, CVE-2021-20246
  * SECURITY UPDATE: Integer overflow, divide by zero and memory leak in
    imagemagick allow a remote attacker to cause a denial of service or
    possible leak of cryptographic information via a crafted image file
    - debian/patches/CVE-2021-20312.patch: Avoid integer overflow in
      coders/thumbnail.c, division by zero in magick/colorspace.c and
      a potential cipher leak in magick/memory.c
    - CVE-2021-20312, CVE-2021-20313

 -- Ray Veldkamp <ray.veldkamp@canonical.com>  Thu, 18 Nov 2021 20:39:34 +1100

imagemagick (8:6.9.7.4+dfsg-16ubuntu6.11) bionic-security; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-*.patch: backport multiple upstream commits.
    - CVE-2017-14528, CVE-2020-19667, CVE-2020-25665, CVE-2020-25666,
      CVE-2020-25674, CVE-2020-25675, CVE-2020-25676, CVE-2020-27750,
      CVE-2020-27751, CVE-2020-27753, CVE-2020-27754, CVE-2020-27755,
      CVE-2020-27757, CVE-2020-27758, CVE-2020-27759, CVE-2020-27754,
      CVE-2020-27760, CVE-2020-27761, CVE-2020-27762, CVE-2020-27763,
      CVE-2020-27764, CVE-2020-27765, CVE-2020-27766, CVE-2020-27767,
      CVE-2020-27768, CVE-2020-27769, CVE-2020-27770, CVE-2020-27771,
      CVE-2020-27772, CVE-2020-27773, CVE-2020-27774, CVE-2020-27775,
      CVE-2020-27776, CVE-2021-20176

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Jun 2021 08:14:59 -0400

imagemagick (8:6.9.7.4+dfsg-16ubuntu6.9) bionic-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer overflow
    - debian/patches/CVE-2019-19948.patch: Fix heap-based buffer overflow in
      coders/sgi.c.
    - debian/patches/CVE-2019-19949.patch: Fix heap-based buffer overflow in
      coders/png.c.
    - CVE-2019-19948
    - CVE-2019-19949 
  * SECURITY UPDATE: division by zero
    - debian/patches/CVE-2020-27560.patch: Change division to multiplication in
      OptimizeLayerFrames in magick/layer.c
    - CVE-2020-27560
  * debian/patches/fix-test-failures.patch: fix FTBFS due to test failure

 -- Avital Ostromich <avital.ostromich@canonical.com>  Wed, 18 Nov 2020 08:51:34 -0500

imagemagick (8:6.9.7.4+dfsg-16ubuntu6.8) bionic-security; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-*.patch: backport multiple upstream commits.
    - CVE-2019-12974, CVE-2019-12975, CVE-2019-12976, CVE-2019-12977,
      CVE-2019-12978, CVE-2019-12979, CVE-2019-13135, CVE-2019-13137,
      CVE-2019-13295, CVE-2019-13297, CVE-2019-13300, CVE-2019-13301,
      CVE-2019-13304, CVE-2019-13305, CVE-2019-13306, CVE-2019-13307,
      CVE-2019-13308, CVE-2019-13309, CVE-2019-13310, CVE-2019-13311,
      CVE-2019-13391, CVE-2019-13454, CVE-2019-14981, CVE-2019-15139,
      CVE-2019-15140, CVE-2019-16708, CVE-2019-16709, CVE-2019-16710,
      CVE-2019-16711, CVE-2019-16713
  * debian/patches/200-disable-ghostscript-formats.patch: also disable
    PS2 and PS3 content per VU#332928 recommendations.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Nov 2019 13:01:05 -0500

imagemagick (8:6.9.7.4+dfsg-16ubuntu6.7) bionic-security; urgency=medium

  [ Steve Beattie ]
  * SECURITY UPDATE: previous update did not correctly block
    encapsulated postscript (EPS) documents by default (LP: #1797647)
    - debian/patches/200-disable-ghostscript-formats.patch: correctly
      disable EPS files by default in policy.xml


