=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/\.dfsg\d+$//,pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg" \
http://www.imagemagick.org/download/ImageMagick-(6.*)\.tar\.xz
